      SUBROUTINE CVSR(A,IA,JA,B,KB,M,N)
      DIMENSION A(1),IA(1),JA(1),B(1)
C     --------------
      DO 21 I=1,M
      IJ = I
      DO 10 J=1,N
      B(IJ) = 0.0
   10 IJ = IJ+KB
C
      IPMIN = IA(I)
      IPMAX = IA(I+1)-1
      IF (IPMIN.GT.IPMAX) GO TO 21
C
      DO 20 IP=IPMIN,IPMAX
      IJ = I+KB*(JA(IP)-1)
   20 B(IJ) = A(IP)
   21 CONTINUE
      RETURN
      END
